::-webkit-scrollbar {
    width: 0.7vw;
    height: 0.7vw;
}

/* Track */
::-webkit-scrollbar-track {
    background-color: var(--bg-postline-dark);
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: var(--bg-grey-light);
}

.navbar-brand {
    font-weight: 600;
}

*{
    box-sizing: border-box;
    /* cores de fundo */
    --bg-grey: #141414;
    --bg-grey-light: #313131;
    --bg-white: aliceblue;
    --bg-blue-dark: #5505d6;
}

body 
{
    margin: 0;
    font-family: 'lato', sans-serif;
    overflow-x: hidden;
    min-height: 100vh;
    flex-direction: column;
    

    --text-white: #141414;
    --text-dark: aliceblue;
  
    --bg-grey: #141414;
    --bg-grey-light: #313131;
    --bg-white: aliceblue;
    --bg-blue-dark: #5505d6;
    --bg-line-dark: #202020;
    --bg-postline-dark:#1e1e1f;
 
    line-height: 1.7;
    background-color: var(--bg-grey);
}

.trilho{
    width: 50px;
    height: 20px;
    background-color: #5505d6;
    border-radius: 150px;
    position:relative;
    margin-right: 20px;
    top:0.9rem;

}

.trilho .indicador{
    width: 20px;
    height: 20px;
    background-color: #090909;
    border-radius: 50%;
    transform: scale(.9);
    position: absolute;
    left: 0;
    
}

.trilho.dark{
    background-color: #5505d6;
}
.trilho.dark .indicador{
    left: 30px;
    background-color: #fff;
}

.dark {
    --text-white: aliceblue;
    --text-dark: #000000;
    --bg-grey: aliceblue;
    --bg-white: #000000;
    --bg-grey-light: #b1b1b1;
    --bg-line-dark: #adacac;
    --bg-postline-dark: #cbc9cf;
}

#logo
{
    width: 2.2rem;
    height: auto;
    display: inline-block;
}

#headerContainer
{
    display: flex;
}

#headerTitle
{
    color: var(--text-dark);
    text-decoration: none;
    font-size: 1.2rem;
    padding-right: 1.2rem;
    font-weight: 800;
    font-family: 'lato', sans-serif;
    transition: 0.2s;
}

#headerTitle:hover
{
    color: #5505d6;
    transition: 0.2s;
}

.headerLine
{
    height: 3.2rem;
    line-height: 3.2rem;
    display: flex;
    flex: 25;
    align-items: center;
}

.headerLine a {
    color: var(--text-dark);
}

.headerText
{
    color: aliceblue;
    text-decoration: none;
    display: inline-block;
    font-size: 1.1rem;
    font-weight: bold;
    padding-left: 1.2rem;
    padding-right: 1.2rem;
    font-family: 'lato', sans-serif;
    transition: 0.2s;
}

.headerText:hover
{
    color: #5505d6;
    transition: 0.2s;
}

.header-icon
{
    height: 2.5rem;
    width: 2.5rem;
    border: 3px solid #5505d6;
}

.colorLine
{
    flex: 1;
    height: 3.2rem;
    align-items: center;
    justify-content: center;
    display: flex;
}

.colorTop
{
    background-color: #5505d6;
    height: 0.2rem;
}

#containerGmImage
{
    opacity: 0.5;
    min-width: 100%;
    width: 100%;
    height: 36rem;
    margin-left: auto;
    margin-right: auto;
    object-fit: cover;
    -webkit-filter: blur(12px); 
    -moz-filter: blur(12px); 
    -o-filter: blur(12px); 
    -ms-filter: blur(12px); 
    filter: blur(12px);
}

.containerGame
{
    position: relative;
    overflow: hidden;
    background-color: black;
}

#containerGmText
{
    position: absolute;
    left: 2.5rem;
    top: 9.5rem;
    overflow: hidden;
}

#GmTitle
{
    font-size: 2.5rem;
    color: aliceblue;
    text-decoration: none;
    margin-top: 0.14rem;
    margin-bottom: 0;
    font-family: 'Rubik';
    font-weight: 700;
}

#GmSubtitle
{
    font-size: 1.2rem;
    color: aliceblue;
    margin-top: 0;
    margin-top: 0.14rem;
    margin-bottom: 0.29rem;
    letter-spacing: 0rem;
}

#Gm-AltTitle
{
    font-size: 1.6rem;
    color: aliceblue;
    text-decoration: none;
    margin-top: 0.14rem;
    font-family: 'Rubik';
    font-weight: 400;
    margin-bottom: 2rem;
}

.GmIcon
{
    width: 0.12rem;
    margin: auto;
    display: inline-block;
    color: aliceblue;
    padding-right: 0.2rem;
}

#GmDesc
{
    font-size: 1rem;
    color: aliceblue;
    text-align: justify;
    width: 80%;
    max-width: 50rem;
    letter-spacing: 0.03rem;
    line-height: 130%;
    margin-top: 0;
    margin-bottom: 1.2rem;
    display: -webkit-box;
    -webkit-line-clamp: 4;
    -webkit-box-orient: vertical;
    text-overflow: ellipsis;
    overflow: hidden;
}

#GmLink
{
    color: aliceblue;
    text-decoration: none;
    font-size: 1.5rem;
    font-weight: bold;
    letter-spacing: 0.05rem;
    font-family: 'Rubik';
    transition: 0.2s;
}

#likes-line
{
    display: flex;
    width: 100%;
    align-items: flex-end;
    justify-content: right;
    height: 2rem;
    position: absolute;
    top: 33rem;
}

#GmLikes
{
    position: absolute;
    text-align: right;
    display: block;
    direction: ltr;
    color: aliceblue;
    text-decoration: none;
    font-size: 1.4rem;
    font-family: 'Rubik';
    font-weight: bold;
    letter-spacing: 0.05rem;
    margin-right: 1.6rem;
}

#GmLink:hover
{
    color: #5505d6;
    transition: 0.2s;
}

.colorMidLine
{
    width: 100%;
    height: 2.6rem;
    background-color: #5505d6;
    background: linear-gradient(90deg, rgba(85,5,214,1) 0%, rgba(50,3,188,1) 100%);
}

.colorMidLine p
{
    font-size: 1.3rem;
    color: aliceblue;
    text-decoration: none;
    margin-left: 2rem;
    margin-bottom: 0;
    line-height: 2.6rem;
    font-family: 'Rubik';
    font-weight: 700;
}

.colorBottomLine
{
    width: 100%;
    margin-bottom: 1rem;
    height: .2rem;
    background-color: var(--bg-grey-light);
}

.colorBottomLine p
{
    font-size: 1.1rem;
    color: var(--text-dark);
    text-decoration: none;
    margin-left: 2rem;
    margin-bottom: 0;
    padding-top: 0.2rem;
    line-height: 3.5rem;
    font-family: 'Rubik';
    font-weight: 500;
}

#gridJogos h2{
    color: var(--text-dark);
}

#gridJogos p{
    color: var(--text-dark);
}

#gridJogos 
{
    display: grid;
    grid-auto-flow: column dense;
    width: 100%;
    overflow-x: scroll;
    margin-top: 2.2rem;
}

#gridJogos2 h2{
    color: var(--text-dark);
}

#gridJogos2 p{
    color: var(--text-dark);
}

#gridJogos2
{
    display: grid;
    grid-auto-flow: column dense;
    width: 100%;
    overflow-x: scroll;
    margin-top: 2.2rem;
}

.jogoLink
{
    text-decoration: none;
    cursor: pointer;
}

.jogoPag 
{
    border: 0 solid #ccc;
    padding: 0.8rem;
    margin-left: 1rem;
    margin-top: 0.6rem;
    width: 22rem;
    text-align: center;
    align-items: center;
}

.jogoPag h2
{   
    text-align: left;
    text-decoration: none;
    font-size: 1rem;
    font-weight: 600;
    margin-top: 0.4rem;
    margin-bottom: 0.2rem;
    color: aliceblue;
}

.jogoPag p
{
    width: 80%;
    text-align: left;
    text-decoration: none;
    font-size: 0.8rem;
    font-weight: 300;
    color: lightgray;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    text-overflow: clip;
    overflow: hidden;
}

.jogoImg 
{
    margin-left: auto;
    margin-right: auto;
    height: 12rem;
    width: 21rem;
    object-fit: cover;
    transition: 0.2s;
}

.jogoImg:hover
{
    box-shadow: 0 0 1rem #090909;
    transform: scale(102%);
    transition: 0.2s;
}

.jogoLikes
{
    text-align: right;
    text-decoration: none;
    font-size: 0.8rem;
    font-weight: 300;
    color: var(--text-dark);;
}

.jogoLine
{
    width: 100%;
    display: flex;
    justify-content: space-between;
}

.like
{
    width: 1rem;
    margin-left: 0.4rem;
    color: rgba(85, 5, 214);
    text-align: center;
    align-items: center;
    transform: scale(150%);
}

@media screen and (max-width: 65rem) 
{
    #containerGmImage
    {
        height: 30rem;
    }
    #containerGmText
    {
        top: 8rem;
    }
    #headerTitle
    {
        display: none;
    }
    #logo
    {
        width: 1.8rem;
    }
    .headerText
    {
        padding-left: 0.4rem;
        padding-right: 0.4rem;
    }
    #likes-line
    {
        top: 27rem;
    }
}

footer
{
    padding-left: 2rem;
    padding-right: 2rem;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    background: #090909
}

footer p
{
    width: 60rem;
    max-width: 90%;
    text-decoration: none;
    color: aliceblue;
    font-size: 1rem;
    font-family: 'lato', sans-serif;
    font-weight: lighter;
    letter-spacing: 0.05rem;
    line-height: 1.2rem;
    text-align: left;
    position: relative;
    margin-top: 4.4rem;
    left: 0.3rem;
}

footer img
{
    width: 8rem;
    position: absolute;
}

